from django.conf.urls import url

from . import views


urlpatterns = [
    url(r'^services/(?P<pk>[0-9]+)/$', views.ServiceDetail.as_view(), name='service-detail'),
    url(r'^api/fastpinger/$', views.fastpinger, name='fastpinger'),
    url(r'^api/routes/(?:(?P<route>[\w-]+)/)?$', views.routes, name='routes'),
    url(r'^api/architecture/switch/$', views.architecture_switch, name='archi-switch'),
    url(r'^api/architecture/ip/$', views.architecture_ip, name='archi-ip'),
]
